Author Topic: Lattice Diamond - VHDL 2008  (Read 2565 times)

0 Members and 1 Guest are viewing this topic.

cmurp77@gmail.com

  • Guest
Lattice Diamond - VHDL 2008
« on: January 11, 2015, 11:58:56 pm »
Hello all:

Hopefully this is not a dumb question and is not staring me in the face :P.

I am using the MachX02 dev kit with Lattice Diamond. The website says it supports VHDL 2008. It then says to select it, you must go to your active strategy and set VHDL 2008 to true. I have done this, but it looks like the editor does not pick it up. When you save your HDL (vhdl) file, it does a simple syntax and validity check on your file. The simplest way to see if it is using VHDL 2008 is to just put block comments in the file and see if it compiles (/* */). Well.. it does not compile under any circumstances and settings that I have laid my hands on.

Is there some setting I need to change to get VHDL 2008 support in the editor and synthesizer other than what I have already changed, or does the IDE not support VHDL 2008? I am running under windows 7 x64.

Any help is appreciated
« Last Edit: January 12, 2015, 12:12:01 am by cmurp77@gmail.com »
 

Offline gnuarm

  • Newbie
  • Posts: 2
Re: Lattice Diamond - VHDL 2008
« Reply #1 on: June 12, 2016, 07:38:47 pm »
Hmmm... I'm seeing the same thing.  I wonder why no one has replied in such a long time.

I use this tool from time to time and forget some of the details of getting it to work.  I figured someone would know this, but a web search hasn't found anything as yet.
 

Offline kcuzner

  • Contributor
  • Posts: 5
  • Country: us
Re: Lattice Diamond - VHDL 2008
« Reply #2 on: August 23, 2019, 06:37:30 am »
Really sorry for resurrecting this, but I have discovered the answer and this happens to be one of the first google results. There are not one, but two VHDL flags that have to be set for everything to work. Running the following tcl commands on my project got synthesis to work (not sure about the editor...I'm using a scripted flow and avoid the Diamond editor at all costs):

Code: [Select]
prj_strgy set_value lse_vhdl2008=True
prj_strgy set_value syn_vhdl2008=True

I discovered these by seeing hints online that the strategy needed to be changed, running "prj_strgy list_option *", and setting all the VHDL 2008 options to true. I also looked in the .sty file to make sure I hadn't missed any.
 

Offline SiliconWizard

  • Super Contributor
  • ***
  • Posts: 5496
  • Country: fr
Re: Lattice Diamond - VHDL 2008
« Reply #3 on: August 23, 2019, 03:22:00 pm »
Should probably be moved to the FPGA section. But anyway, this is pretty old. What version of Diamond are you using exactly? I just checked in Diamond 3.11, and setting the option in the strategy dialog (LSE or Synplify settings depending on whatever synthesis tool you're using, doesn't need to be set for both here) is enough to make it handle VHDL-2008 properly here, including in the text editor.
 


Share me

Digg  Facebook  SlashDot  Delicious  Technorati  Twitter  Google  Yahoo
Smf